Subject: [quicwg/base-drafts] fe4886: Permit 0-RTT after Retry and VN

From: Martin Thomson <[email-masked]>
Date: Mon, 30 Jul 2018 22:14:14 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: fe488635a6385c7dd58ee730b5137bd900085e53
      https://github.com/quicwg/base-drafts/commit/fe488635a6385c7dd58ee730b5137bd900085e53
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Permit 0-RTT after Retry and VN

After the discussion on #1507, I've been convinced that there is no real
value in preventing a client from attempting 0-RTT after a Retry.  And,
it would seem like Version Negotiation has essentially the same
properties, so excluding it would be inconsistent.

This allows this, explores the consequences for packet numbers (don't
reset them!), and updates the recovery text to include Version
Negotiation.

Closes #1507.

  Commit: 88fc5603531cec98cab109addf990b848dbc2d4d
      https://github.com/quicwg/base-drafts/commit/88fc5603531cec98cab109addf990b848dbc2d4d
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  0-RTT, 1-RTT, same thing

  Commit: 620c5830091b9f5b26ed9bfdf11ddf7bfe2cba42
      https://github.com/quicwg/base-drafts/commit/620c5830091b9f5b26ed9bfdf11ddf7bfe2cba42
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify key changes

  Commit: b6c48beb79867e0f961252b394612e9ebe8ce615
      https://github.com/quicwg/base-drafts/commit/b6c48beb79867e0f961252b394612e9ebe8ce615
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Redo fixes I already committed somewhere else, I swear

  Commit: e2b9137a7ad9f4c22e39fa762f776242c33916c1
      https://github.com/quicwg/base-drafts/commit/e2b9137a7ad9f4c22e39fa762f776242c33916c1
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refinements

  Commit: 1011f5ee62e300237373931b4b2aa23fff19c9cd
      https://github.com/quicwg/base-drafts/commit/1011f5ee62e300237373931b4b2aa23fff19c9cd
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Have been

  Commit: 2e13f0d6461c75a74c92d11fe07b83bcebfa0ed8
      https://github.com/quicwg/base-drafts/commit/2e13f0d6461c75a74c92d11fe07b83bcebfa0ed8
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Add text to the TLS spec too

Closes #1168.

  Commit: 25598fd7d7e6906030b99315b09a5e41aa2ce7af
      https://github.com/quicwg/base-drafts/commit/25598fd7d7e6906030b99315b09a5e41aa2ce7af
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Extra 'on'

  Commit: 22deb75449751fd21fd75c48fdbbf16d94665daa
      https://github.com/quicwg/base-drafts/commit/22deb75449751fd21fd75c48fdbbf16d94665daa
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-09 (Mon, 09 Jul 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove especially if text

  Commit: cd6b76ebd8943563598855c17594bf29f6707323
      https://github.com/quicwg/base-drafts/commit/cd6b76ebd8943563598855c17594bf29f6707323
  Author: Martin Thomson <[email-masked]>
  Date:   2018-07-31 (Tue, 31 Jul 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1514 from quicwg/allow-retry-0rtt

Permit 0-RTT after Retry and VN

Compare: https://github.com/quicwg/base-drafts/compare/85f58c060fcd...cd6b76ebd894
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.